<template>
	<view class="tainer">
		<view class="queryBox">
			<view class="search">
				<van-search class="inputSearch" v-model="searchValue" show-action placeholder="请输入姓名查询"
					@search="onSearch">
					<template #action>
						<div class="SearchBtn" @click="onSearch">
							<text class="distinguish"></text>查询
						</div>
					</template>
				</van-search>
			</view>
		</view>
		<view class="cardBox">
			<view class="card" v-for="item of detailsList">
				<view class="temperatureResult">
					<view class="studentInfo">
						<view class="studentName">
							<text>{{item.userName}}</text>
						</view>
						<view class="className">
							<text>{{item.gradeOrClassName}}</text>
						</view>
					</view>
					<view class="temperatureNumber">
						<text>{{item.temperature}}</text>
					</view>
				</view>
				<view class="temperatureTime">
					<text>测量时间：{{item.temperatureTime}}</text>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	var gHost = "https://" + window.location.host;
	if (window.location.protocol != "https:") {
		gHost = "https://fpdev.xiaopay.net";
	}
	export default {
		name: 'LowTemperature',
		data() {
			return {
				searchValue: "",
				requestInfo: {},
				detailsList: [],
			}
		},
		mounted() {
			this.userTemperatureDetail(3);
		},
		methods: {
			// 搜索框
			async onSearch(value) {
				try {
					this.userTemperatureDetail(3);
				} catch (e) {
					//TODO handle the exception
					console.log(e);
					uni.showToast({
						icon: "none",
						mask: true,
						title: e.message
					})
				}
			},
			onLoad: function(options) {
				this.requestInfo = uni.getStorageSync("temperatrueRequestInfo");
			},
			// 查询用户体温详情(1 正常，2 高温，3 低温)
			async userTemperatureDetail(temperatureStatus) {
				try {
					let data = await this.$http.get({
						url: gHost + '/ACAPI/applet/temperature-staits/userTemperatureDetail'
					}, Object.assign(this.requestInfo, {
						temperatureStatus,
						userName: this.searchValue
					}))
					if (data.code != 200) {
						uni.showToast({
							icon: "none",
							mask: true,
							title: data.msg
						})
						return
					}
					if (data.obj && Array.isArray(data.obj)) {
						this.detailsList = data.obj;
					} else {
						this.detailsList == [];
					}

				} catch (e) {
					//TODO handle the exception
					console.log(e);
					uni.showToast({
						icon: "none",
						mask: true,
						title: e.message
					})
				}
			},
		}
	}
</script>

<style lang="scss">
	page {
		background: #F3F5F6;
	}

	.tainer {
		padding: 32rpx 32rpx 0;
		box-sizing: border-box;

		.queryBox {
			margin: 0 0 32rpx;

			.search {
				width: 100%;
				height: 70rpx;
				background: #FFFFFF;
				border-radius: 35rpx;
				margin: 0 auto;

				.SearchBtn {
					font-size: 28rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #01CB88;

					.distinguish {
						display: inline-block;
						width: 1rpx;
						height: 26rpx;
						background: #E6E6E6;
						margin-right: 30rpx;
					}
				}

				.inputSearch {
					height: 100%;
					width: 92%;
					margin: 0 auto;
					padding: 0 !important;

					.van-search__content {
						background: #FFFFFF;
						height: 90%;
					}
				}
			}
		}

		.cardBox {
			.card {
				width: 100%;
				height: 162rpx;
				background: #FFFFFF;
				border-radius: 24rpx;
				margin: 0 0 20rpx;
				padding: 31rpx 31rpx 39rpx 32rpx;
				box-sizing: border-box;
				display: flex;
				flex-direction: column;
				justify-content: space-between;

				.temperatureResult {
					display: flex;
					justify-content: space-between;

					.studentInfo {
						display: flex;
						align-items: flex-end;

						.studentName {
							margin-right: 32rpx;
							font-size: 42rpx;
							font-family: PingFang SC;
							font-weight: bold;
							color: #333333;
						}

						.className {
							font-size: 24rpx;
							font-family: PingFang SC;
							font-weight: 500;
							color: #999999;
							margin-top: 22rpx;
						}
					}

					.temperatureNumber {
						font-size: 32rpx;
						font-family: PingFang SC;
						font-weight: bold;
						color: #3091FC;
						line-height: 72rpx;
					}
				}

				.temperatureTime {
					font-size: 24rpx;
					font-family: PingFang SC;
					font-weight: 500;
					color: #999999;
				}
			}
		}
	}
</style>
